Package: org.codehaus.groovy.ast.stmt

## [Java] Interface LoopingStatement

- This is an AST Node that provides some sort of looping mechanism. Typically in the form of a block that will be executed repeatedly. DoWhileStatements, WhileStatements, and ForStatements are all examples of LoopingStatements.

  Authors:
    Hamlet D'Arcy

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `Statement` | `getLoopBlock()` Gets the loop block.
    `` | `void` | `setLoopBlock(Statement loopBlock)` Sets the loop block.

- - ### Method Detail

    - #### public Statement getLoopBlock()

      Gets the loop block.

    - #### public void setLoopBlock(Statement loopBlock)

      Sets the loop block.